function init()
	-- NAME & GRAPHIC --
	c.name = "AngelPod"
	c.gfxFile = "beacon.png"

	-- STATS --
	c.mass = 16
	c.stat.thrust = 0
	c.stat.maxSpeed = 40
	c.stat.turnRate = 45
	c.stat.armour = 20

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.setExplodeSound("explode_ship.wav")
	c.desc = "How the mighty have fallen."
	c.behavior = "boss_angelpod"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 4	--from map_icons.png, which frame to use.
	return 0
end